﻿//
// Myriadbits Disk space analyzer 
// Find free space on your NTFS disk
// Copyright (C) 2014 Myriadbits, Jochem Bakker
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// For more information, contact me at: info@myriadbits.com
//

using Myriadbits.DiskSpaceAnalyzer.Properties;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows.Forms;

namespace Myriadbits.DiskSpaceAnalyzer
{
	public partial class SettingsForm : Form
	{
		public SettingsForm()
		{
			InitializeComponent();
		}

		private void SettingsForm_Load(object sender, EventArgs e)
		{
			Settings settings = DiskSpaceAnalyzer.Properties.Settings.Default;
			this.cmbUnits.SelectedIndex = settings.Main_Unit;
			this.pbBarColor1.BackColor = settings.Bar_Color1;
			this.pbBarColor2.BackColor = settings.Bar_Color2;
			this.pbBarColorRoot.BackColor = settings.Bar_Root;
			this.chkShowLines.Checked = settings.ShowGridLines;

			for (int n = 0; n < this.cmbTopNumber.Items.Count; n++ )
			{
				if (this.cmbTopNumber.Items[n].ToString() == settings.Main_TopListNumber.ToString())
				{
					this.cmbTopNumber.SelectedIndex = n;
					break;
				}
			}
		}

		private void ChangeColor(PictureBox pb)
		{
			this.colorDialog1.Color = pb.BackColor;
			if (this.colorDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
			{
				pb.BackColor = this.colorDialog1.Color;
			}
		}

		private void pbBarColor1_Click(object sender, EventArgs e) { ChangeColor(this.pbBarColor1); }
		private void pbBarColor2_Click(object sender, EventArgs e) { ChangeColor(this.pbBarColor2); }
		private void pbBarColorRoot_Click(object sender, EventArgs e) {	ChangeColor(this.pbBarColorRoot); }


		private void bntOk_Click(object sender, EventArgs e)
		{
			Settings settings = DiskSpaceAnalyzer.Properties.Settings.Default;
			settings.Main_Unit = this.cmbUnits.SelectedIndex;
			settings.Bar_Color1 = this.pbBarColor1.BackColor;
			settings.Bar_Color2 = this.pbBarColor2.BackColor;
			settings.ShowGridLines = this.chkShowLines.Checked;
			settings.Bar_Root = this.pbBarColorRoot.BackColor;

			int topListNumber = 25;
			int.TryParse(this.cmbTopNumber.SelectedItem.ToString(), out topListNumber);
			settings.Main_TopListNumber = topListNumber;

			DiskSpaceAnalyzer.Properties.Settings.Default.Save();
			this.DialogResult = System.Windows.Forms.DialogResult.OK;
		}

		private void label5_Click(object sender, EventArgs e)
		{

		}

	}
}
